extends Node3D

const PLAY_INTERVAL := 2.0
var time_to_play := PLAY_INTERVAL
var total_time := 0.0
var will_play = false

@onready var player = $AudioStreamPlayer

func _process(delta):
	total_time += delta
#	global_transform.origin.x = sin(total_time * PI * 2.0) * 1.0
	if will_play:
		time_to_play = 2.0
		will_play = false
		if $OptionButton2.get_item_text($OptionButton2.selected) == "Wav":
			print("Using a wav file for the next ", PLAY_INTERVAL, " seconds")
			player.stream = load("res://sine1.wav")
		if $OptionButton2.get_item_text($OptionButton2.selected) == "Ogg":
			print("Using an ogg file for the next ", PLAY_INTERVAL, " seconds")
			player.stream = load("res://sine1.ogg")
		if $OptionButton2.get_item_text($OptionButton2.selected) == "Mp3":
			print("Using an mp3 file for the next ", PLAY_INTERVAL, " seconds")
			player.stream = load("res://sine1.mp3")
		player.play()
	time_to_play -= delta
	if not player.playing and time_to_play < 0:
		will_play = true
	elif player.playing and time_to_play < 0.75:
		player.stop()

func _on_OptionButton_item_selected(index):
	player.stop()
	var new_player = find_node($OptionButton.get_item_text(index))
	print("Using ", new_player)
	player = new_player
